GET /teams

The Teams public information (available at http://www.first.org/members/teams) is available for querying using the method/data model /teams. This is the available endpoint for this data source:

| Repository | Endpoint URL | Status | | ------------------------- | ------------------------------------- | ------------- | | FIRST API v1 | https://api.first.org/data/v1/teams | Stable |

Additional Parameters

These parameters may also be added to the query string to filter the results:

| Parameter | Type | Description | | ------------- | --------- | ------------- | | country | char(2) | Filters the teams by country. Use ISO 2-letter code for filtering. | | region | string | Filters the teams by continental regions (South America, Europe, Asia, etc) | | team | string | Filters the teams by name (Short Team Name) | | q | string | Free text search at the team name, country and country name. |

Scope

These are the allowed scope for the FIRST Teams dataset:

| Scope | Description | | ---------------------- | ------------- | | public (default) | Shows the information available at the Team public profile page, without PGP keys | | members | Only available to authenticated Team Members, brings all the additional information available at the FIRST Members' website, including PGP keys. | | minimal | Shows the minimal set of information, with abreviated keys: { u: url, s: team short, t: team, c: country, o: other countries of team, r: region } | | country | Same as minimal, without abreviations. | | pgp | Shows the Team's public PGP keys |

Response

The response object contains a list of valid Teams:

curl -X GET "https://api.first.org/data/v1/teams?country=br&pretty=true"
{
    "status": "OK",
    "status-code": 200,
    "version": "1",
    "last-modified": "Thu, 21 Jul 2016 19:02:52 GMT",
    "total": 4,
    "access": "public",
    "data": [
        {
            "id": "axur",
            "team": "Axur",
            "team-full": "Axur Csirt",
            "host": "AXUR",
            "establishment": "2014-11-15",
            "address": "Rua Mostardeiro, 322, Sala 6 Moinhos de Vento, Porto Alegre - RS - Brazil - 90430-000",
            "country": "BR",
            "email": "csirt@axur.com",
            "phone": [
                "+55-51-3122987",
                "+55-51-40639836",
                "+55-51-3094-0461 (fax)",
                "+55-51-3094-0461"
            ],
            "fax": "+55-51-3094-0461",
            "phone-emergency": "+55-51-40639836",
            "timezone": "GMT-3",
            "timezone-dst": "GMT-2",
            "constituency": "ICT vendor customer base",
            "constituency-description": "Axur’s (host organization) customer base which includes but is not limited to government, financial institutions (banks, credit cards), e-commerce, real state agencies, loyalty plans and airline companies.",
            "last-modified": "2016-02-26 04:26:26-03:00"
        },
        {
            "id": "cais-rnp",
            "team": "CAIS/RNP",
            "team-full": "Brazilian Academic and Research Network CSIRT",
            "host": "Brazilian Academic and Research Network",
            "establishment": "1997-05-12",
            "address": "Prédio da Embrapa/Unicamp\r\nAv. André Tosello, 209\r\nCidade Universitária Zeferino Vaz\r\n13083-886 Campinas, SP",
            "country": "BR",
            "website": [
                "http://www.cais.rnp.br/"
            ],
            "email": "cais@cais.rnp.br",
            "phone": [
                "+55-19-3787-3300",
                "+55-19-8173-0668",
                "+55-19-3787-3301 (fax)",
                "+55-19-3787-3301"
            ],
            "fax": "+55-19-3787-3301",
            "phone-emergency": "+55-19-8173-0668",
            "timezone": "UTC-03",
            "timezone-dst": "UTC-02",
            "other-communication": "INOC-DBA: 1916*800",
            "operating-hours": "09:00 AM - 18:00 PM",
            "constituency": "Research & education",
            "constituency-description": "Brazilian Academics and Research Institutions",
            "last-modified": "2012-08-03 14:51:18-03:00"
        },
        {
            "id": "cert-br",
            "team": "CERT.br",
            "team-full": "Computer Emergency Response Team Brazil",
            "host": "The Brazilian Internet Steering Committee",
            "establishment": "1997-06-01",
            "address": "CERT.br\r\nAv. das Nacoes Unidas, 11541\r\nCj. 71/72\r\n04578-000\r\nSao Paulo",
            "country": "BR",
            "website": [
                "http://www.cert.br/"
            ],
            "email": "cert@cert.br",
            "phone": [
                "+55-11-5509-3548",
                "+55-11-5509-3512 (fax)",
                "+55-11-5509-3512"
            ],
            "fax": "+55-11-5509-3512",
            "timezone": "UTC-0300",
            "timezone-dst": "UTC-0200",
            "other-communication": "INOC-DBA: 22548*800",
            "operating-hours": "Monday to Friday from 9:00 AM to 06:00 PM",
            "constituency-description": "Brazil - Internet .br domain and IP addresses assigned to Brazil",
            "last-modified": "2016-01-25 23:24:15-03:00"
        },
        {
            "id": "defenda_cert",
            "team": "Defenda CERT",
            "team-full": "Defenda CERT",
            "host": "Defenda",
            "establishment": "2010-07-24",
            "address": "Av. Unisinos, 950/Padre Rick/Sala 308, Sa?o Leopoldo RS",
            "country": "BR",
            "website": [
                "http://www.defenda.com.br"
            ],
            "email": "cert@defenda.com.br",
            "phone": [
                "+55-51-3091-6342"
            ],
            "phone-emergency": "+55-51-3091-6342",
            "constituency": "Other commercial",
            "last-modified": "2015-03-01 05:39:21-03:00"
        }
    ]
}